# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    # Declaring local variables
    if iswin64():
        bin_name = "FontReg64.exe"
    else:
        bin_name = "FontReg32.exe"
    fonts_path = os.path.abspath("fonts")

    # Getting the fonts
    for zip_file in glob.glob("*.zip"):
        unzip(zip_file, "fonts", extract_with_full_paths=False)
    for font in glob.glob(f"{fonts_path}/*.ttf"): # Only printing
        print("Installing Font: %s" % font.split(os.sep)[-1])

    # Installing the fonts
    os.chdir(fonts_path)
    run(f'"{bin_name}" /copy')
    print("INFO: The PC must be rebooted for the fonts to appear")
